Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezforum/admin/messagelist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZForumMain", "Language" )
| $AdminLimit = $ini->variable( "eZForumMain", "MessageAdminLimit" )
| $t
| $forum = new eZForum( $ForumID )
| $categories = $forum->categories()
if(count( $categories) > 0) | $locale = new eZLocale( $Language )
| $messages = $forum->messageTree( $Offset, $AdminLimit )
| $messageCount = $forum->messageCount()
| $languageIni = new eZINI( "kernel/ezforum/admin/" . "intl/" . $Language . "/messagelist.php.ini", false )
| $true = $languageIni->variable( "strings", "true" )
| $false = $languageIni->variable( "strings", "false" )
| $AnonymousPoster = $ini->variable( "eZForumMain", "AnonymousPoster" )
if(! $messages) | else
| $i = 0

## Variable Documentation

## ◆ $AdminLimit

$AdminLimit = $ini->variable( "eZForumMain", "MessageAdminLimit" )

Definition at line 31 of file ezforum/admin/messagelist.php.

## ◆ $AnonymousPoster

$AnonymousPoster = $ini->variable( "eZForumMain", "AnonymousPoster" )

Definition at line 77 of file ezforum/admin/messagelist.php.

## ◆ $categories

$categories = $forum->categories()

Definition at line 56 of file ezforum/admin/messagelist.php.

## ◆ $false

$false = $languageIni->variable( "strings", "false" )

Definition at line 75 of file ezforum/admin/messagelist.php.

## ◆ $forum

$forum = new eZForum( $ForumID )

Definition at line 53 of file ezforum/admin/messagelist.php.

## ◆ $i

$i = 0

Definition at line 87 of file ezforum/admin/messagelist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 28 of file ezforum/admin/messagelist.php.

## ◆ $Language

$Language = $ini->variable( "eZForumMain", "Language" )

Definition at line 30 of file ezforum/admin/messagelist.php.

## ◆ $languageIni

$languageIni = new eZINI( "kernel/ezforum/admin/" . "intl/" . $Language . "/messagelist.php.ini", false )

Definition at line 72 of file ezforum/admin/messagelist.php.

## ◆ $locale

if (count($categories) > 0) $locale = new eZLocale( $Language )

Definition at line 67 of file ezforum/admin/messagelist.php.

## ◆ $messageCount

$messageCount = $forum->messageCount()

Definition at line 70 of file ezforum/admin/messagelist.php.

Referenced by eZForumMessage\createIndex().

## ◆ $messages

$messages = $forum->messageTree( $Offset, $AdminLimit )

Definition at line 69 of file ezforum/admin/messagelist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezforum/admin/" . $ini->variable( "eZForumMain", "AdminTemplateDir" ),
"kernel/ezforum/admin/" . "/intl", $Language, "messagelist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: ezforum/admin/messagelist.php:30
$ini
$ini
Definition: ezforum/admin/messagelist.php:28

Definition at line 43 of file ezforum/admin/messagelist.php.

## ◆ $true

$true = $languageIni->variable( "strings", "true" )

Definition at line 74 of file ezforum/admin/messagelist.php.

## ◆ else

if (! $messages) else

Initial value:
{
$level = 0
$level
$level
Definition: admin/message.php:106

Definition at line 84 of file ezforum/admin/messagelist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.